module DBots
  # Custom errors raised in various places
  module Err
    # Raised when an API key is invalid or incorrect.
    class Unauthorized < RuntimeError
      # The default message for the error
      def message
        'Invalid API key!'
      end
    end

    # Raised when an authorized endpoint does not have a token
    class RequiresToken < RuntimeError
      # The default message for the error
      def message
        'This endpoint requires a token.'
      end
    end

    # Raised when a server error occurs
    class ServerFail < RuntimeError
      # The default message for the error
      def message
        'Internal server error!'
      end
    end
  end
end
