module DBots
  # A class that posts server count to listing site(s).
  class Poster
    # @return [Hash] the API keys that the poster is using
    attr_accessor :api_keys
    alias_method :tokens, :api_keys
    alias_method :keys, :api_keys

    # @return [String] the client ID used for posting to a service
    attr_accessor :client_id

    # @param [String, Integer, #resolve_id] the client ID used for posting to a service
    def initialize(client_id, api_keys: {})
      @client_id = client_id.respond_to?(:resolve_id) ? client_id.resolve_id.to_s : client_id.to_s
      @api_keys = api_keys
    end

    # @!visibility private
    def inspect
      "<#{self.class.name} @client_id=#{@client_id}>"
    end
  end
end
